<body>
    <p>Liste des commandes</p>

    <style>
        table, tr, td{ border: 1px solid black; border-collapse: collapse;}
    </style>
    <!-- J'ai juste mis un style très primaire pour le moment. J'ai voulu rajouter un Bootstrap mais j'ai préféré me focaliser
    sur les fonctionnalités et l'aspect technique plutôt que sur l'aspect esthétique.-->

    <table id="order_table">
        <tr>
            <td>
                Id <br/> <input type="text" class="field_search" id="id">
            </td>
            <td>
                Marketplace <br/> <input type="text" class="field_search" id="marketplace">
            </td>
            <td>
                Purchase date <br/> <input type="text" class="field_search" id="purchase_date">
            </td>
            <td>
                Purchase time <br/> <input type="text" class="field_search" id="purchase_time">
            </td>
            <td>
                Amount <br/> <input type="text" class="field_search" id="amount">
            </td>
            <td>
                Currency <br/> <input type="text" class="field_search" id="currency">
            </td>
        </tr>
        {% for order in orders %}
            <tr>
                <td>
                    {{ order.id }}
                </td>
                <td>
                    {{ order.market_place }}
                </td>
                <td>
                    {{ order.purchase_date }}
                </td>
                <td>
                    {{ order.purchase_time }}
                </td>
                <td>
                    {{ order.amount }}
                </td>
                <td>
                    {{ order.currency }}
                </td>
            </tr>
        {% endfor %}
        <!-- Ici, j'aurais aussi pu gérer le nombre de colonnes/champs avec un dictionnaire via la vue.-->
    </table>

    <script src="https://code.jquery.com/jquery-3.1.0.min.js"></script>
    <script>
        $(".field_search").change(function(){
            var search_field = $(this).val();
            console.log(search_field);

            $.ajax({
                type: 'GET',
                url: 'search_field',
                data: {
                    'search_field': search_field
                },
                success: function(data) {
                    $("#idbody").html(data);
                },
                error: function(xhr, errmsg, err){
                    console.log(xhr.status + ": " + xhr.responseText);
                }
            })
        });
    </script>
</body>